This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 218256 - Review Request: audacious-itouch-control - iTouch keyboard control plugin for the Audacious media player
Review Request: audacious-itouch-control - iTouch keyboard control plugin for...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christoph Wickert
Fedora Package Reviews List
http://sourceforge.net/projects/itouc...
:
Depends On:
Blocks: FE-DEADREVIEW
  Show dependency treegraph
 
Reported: 2006-12-04 02:34 EST by Yu Fan
Modified: 2008-06-17 15:48 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-25 16:00:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Yu Fan 2006-12-04 02:34:24 EST
Spec URL: <http://yufanyufan.googlepages.com/audacious-docklet.spec>
SRPM URL: <http://yufanyufan.googlepages.com/audacious-docklet-0.1.1-fc6.src.rpm>
Description: <With this Audacious plugin you can take advantage of the
multimedia (playback and volume control) keys on your Logitech iTouch or
compatible keyboard. When
the plugin is used you can use the keys regardless of the current input focus.
The plugin won't work if some other application (eg. xscreensaver) has grabbed
the keyboard.>
Comment 2 Till Maas 2007-01-17 18:08:05 EST
Consider renaming it to audacious-plugins-itouch because this fits to the naming
scheme of the other audacious plugins in extras.
Comment 3 Christoph Wickert 2007-01-17 18:40:37 EST
If this package should be renamed, then audacious-docklet also needs to be renamed.

If this package is going to be renamed, we still should add Provides: and
Obsoletes: for audacious-itouch to allow easy upgrading of 3rd party packages.

I don't think renaming this package is really necessary. According to the naming
guidlines an addon package "should prepend the "parent" package in its name, in
the format: %{parent}-%{child}." IMHO Using audaciuos as parent is perfectly ok.
Using audaciuos-plugins would indicate that this package stricktly depends on
audacious-plugins instead of audacious itself.
The only reason for this package to depend on audacious-plugins is that the
plugins package owns the dir this plugin is installed to.
Comment 4 Till Maas 2007-01-18 10:41:33 EST
I suggested to rename the package not because of the guidelines but because it
is confusing for me as a user that the plugins for audacious do not have a
consistent naming scheme. I did not know that audacious-plugins-* are all from
the same package.
Comment 5 Christoph Wickert 2007-01-20 12:58:04 EST
I still think that audacious-itouch is a valid name for this package, since this
is the upstream name. Nevertheless - after reading the review request for
audacious-plugin-fc (bug #222648) and thinking about this more deeply, I like
the idea of getting this straight. This would also include renaming
audacious-docklet.

Yu, what you think?
Comment 6 Till Maas 2007-01-20 16:33:55 EST
To me it seems best to ask the packaging committee for a recomandation. Right
now it seems that "<package>-<pluginname>", "<package>-plugin-<pluginname>",
"<package>-plugins-<pluginname>" and "<package>-<pluginname>-plugin" for
different packages. I would prefer "<package>-plugins-<pluginname>" or
"<package>-plugin-<pluginname>", this would make it easier to install all
plugins, e.g. with yum install audacious-plugins-\* while audacious-\* also
matches the devel package.
Comment 7 Yu Fan 2007-01-29 05:28:37 EST
I agree the plugin should be named audacious-plugin-itouch.
But to do this, I must modify the source tarbal, and repackage it. Do I have the
right to do that? 
Besides of that, I have made the package available for a while. When will it get
pass the review process? 
Comment 8 Kelly Miller 2007-05-09 17:20:47 EDT
> I agree the plugin should be named audacious-plugin-itouch.
> But to do this, I must modify the source tarbal, and repackage
> it. Do I have the right to do that? 

Nah, you don't have to.  %setup accepts a switch, -n, which allows for 
changing the exact name of the folder in the source tarball.  In this case, 
simply change to this:
%setup -q -n audacious-itouch-%{version}

Quick Review (not official):
Since I can't download the source, this is just going to be a quick 
runthrough.
MUST Items: 
- rpmlint gives no errors.
- The package is named according to the Package Naming Guidelines.
- The package is licenced under an open-source licence (GPL).
- Licence info included in %doc.
- Spec file named %{name}.spec.
- Spec file written in en-US and is legible.
- The package compiles on i386.
- Build dependencies are listed in BuildRequires properly.
- No locales in the package.
- ldconfig isn't called, but the library is not located in the standard linker 
path.
- Package is not relocatable.
- Package owns all directories it creates.
- Permissions on files are set properly.
- Package has a proper %clean section.
- Spec file uses consistent macros.
- Package contains permissible content.
- All files in %doc are not necessary for program application.
- .la files are properly removed.
- Package does not create it's own directories.
- Package runs %{__rm} -rf %{buildroot} at the beginning of install.
- All filenames are valid UTF-8.

Possible problems:
- As mentioned before, the package should probably be called 
audacious-plugins-itouch.
- The Source entry is actually a 404 now.
Comment 9 Jason Tibbitts 2007-06-21 12:35:07 EDT
Anything happening here?  It's been well over a month since the last comment
without any response.
Comment 10 Christoph Wickert 2007-07-05 08:42:15 EDT
Yu is going to update the package and I will do the final review to get this
thing done.
Comment 11 Jason Tibbitts 2008-01-18 00:39:33 EST
Well, five more months have passed.  It's not as if this is time-sensitive, but
it would be nice to get some of these old submissions reviewed and closed out.
Comment 12 Christoph Wickert 2008-04-05 10:00:29 EDT
Yu, unfortunately this project is dead upstream, so I suggest we close this
review. Not even sure if it is still compatible with the current audacious API.

If you are still interesting in maintaining an audacious package you could do
audacious-show from http://nedudu.hu/?Programok:Audacious_pluginok. There
already was a review for it but the reporter has withdrawn the request, see bug
#234830

Setting this bug to NEEDINFO. If I don't hear anything from you within the next
2 weeks I'll close this review.
Comment 13 Brian Pepple 2008-05-25 16:00:18 EDT
There's been no reply to this stalled review (comment #12).  Closing bug.

Note You need to log in before you can comment on or make changes to this bug.